#include<iostream>
using namespace std;

int funk(int a,int i,int n[]){
	int j;
	for(j=0;j<i;j++){
		if(n[i]==n[j]){
			return 1;
		}
	}
	return 0;
}

int main(){
	int n,i,j,t=0;
	cin>>n;
	int r[n],c[n];
	for(i=0;i<n;i++){
		cin>>c[i]>>r[i];
		cout<<c[i]<<' '<<r[i]<<endl;
	}
	
		for(i=0;i<n;i++){
			for(j=i+1;j<n;j++){
				if(c[i]==c[j] && funk(c[i],i,c)==0){
					t++;
				}
				if(r[i]==r[j] && funk(r[i],i,r)==0){
					t++;
				}
			}
			
		}
		cout<<t;
	}